import 'package:flutter/material.dart';
import 'package:tplib/utils/sputils.dart';
import 'package:get/get.dart';
import 'package:tplib_example/route/module_comm_route.dart';
import 'package:tplib_example/utils/res_utils.dart';

void main() async{
  WidgetsFlutterBinding.ensureInitialized();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      navigatorKey: Get.key,
      getPages: [
        ...ModuleCommRoute.getPages,
      ],
      debugShowCheckedModeBanner: false,
      title: StringUtils.appname,
    );
  }
}