import 'dart:convert';

class Base64Utils{
  /*
  * Base64加密
  */
  static String encodeBase64(String data){
    var content = utf8.encode(data);
    var digest = base64Encode(content);
    return digest;
  }

  /*
  * Base64解密
  */
  static String decodeBase64(String data){
    var charCodes = String.fromCharCodes(base64Decode(data));
    if((charCodes??'').isEmpty)return '';
    var content = utf8.decode(charCodes.codeUnits);
    return content;
  }
}