import 'package:flutter/material.dart';
import 'package:flutter_downloader/flutter_downloader.dart';
import 'package:get/get.dart';
import 'package:tplib/utils/res_utils.dart';
import 'tp_update_widget.dart';

/**
 * author：lx
 * date：2021-0126
 * descr：根据蒲公英上面的api版本路径，获取版本更新
 */
class PgyUpdateUtils{
  //初始化下载
  static initializeFlutterDownloader() async{
    await FlutterDownloader.initialize();
  }
  //检查版本
 static Future<String> checkVersion({bool isFromMain:false}) async{
   //apk下载路径
   String apkUrl="";
   // Map<String,dynamic> parms={
   //   'appKey':Constants.pgy_app_Key,
   //   '_api_key':Constants.pgy_api_key
   // };
   // Dio _dio=Dio();
   // Response response = await _dio.post(Constants.pgy_check_url,queryParameters: parms);
   // if(response.statusCode!=200)return apkUrl;
   // var data = response.data;
   // var code = data['code'];
   // if(code!=0)return apkUrl;
   // var resultData = data['data'];
   // if(resultData==null)return apkUrl;
   // print('response-->resultData is Map=${resultData is Map}');
   // print('response-->resultData =${resultData}');
   // // bool needForceUpdate = resultData['needForceUpdate'];
   // bool needForceUpdate = true;
   // String buildVersionNo = resultData['buildVersionNo'];
   // String buildVersion = resultData['buildVersion'];
   // String buildUpdateDescription = resultData['buildUpdateDescription'];
   // String buildName = resultData['buildName'];
   // String buildFileSize = resultData['buildFileSize'];
   // String downloadURL = resultData['downloadURL'];
   // PackageInfo _packageInfo=await BaseAppInfoUtils.getAppInfo();

   // String packageName=_packageInfo.packageName;
   // //从主页过来直接返回值
   // if((isFromMain??false)&&((double.parse(_packageInfo?.buildNumber??'0'))<double.parse(buildVersionNo)))return (apkUrl=downloadURL);
   // //从检测版本过来弹出框询问
   // if((double.parse(_packageInfo?.buildNumber??'0'))>=double.parse(buildVersionNo))return (apkUrl='');
   // _popDialog(needForceUpdate,buildVersionNo,buildVersion,buildUpdateDescription,buildName,buildFileSize,downloadURL,packageName);
   return (apkUrl='');
 }

  //弹出更新
 static void _popDialog(
     bool needForceUpdate,
     String buildVersionNo,
     String buildVersion,
     String buildUpdateDescription,
     String buildName,
     String buildFileSize,
     String downloadURL,
     String package_name,
     ) {
   showDialog(
       context: Get.context!,
       barrierDismissible: false,
       builder: (_) {
         return WillPopScope(
             child: TPUpdteWidget(
               needForceUpdate: needForceUpdate,
               buildVersionNo: buildVersionNo,
               buildVersion: buildVersion,
               buildUpdateDescription: buildUpdateDescription,
               buildName: buildName,
               buildFileSize: ((double.parse((buildFileSize??'0'))/1024/1024)!.toStringAsFixed(2)),
               url: downloadURL,
               packageName: package_name,
               width: PxUtils.screenWidth*0.7,
               onClose: ()=>_close(),
             ),
             onWillPop: () async{
               return false;
             });
       });

 }

  static _close() {
    Navigator.pop(Get.context!);
  }
  // public void installApk(Context context, File file) {
  //   if (context == null) {
  //     return;
  //   }
  //   String authority = getApplicationContext().getPackageName() + ".fileProvider";
  //   //确保authority 与AndroidManifest.xml中android:authorities="包名.fileProvider"所有字符一致
  //   Uri apkUri = FileProvider.getUriForFile(context, authority, file);
  //   Intent intent = new Intent(Intent.ACTION_VIEW);
  //   intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
  //   //判读版本是否在7.0以上
  //   if (Build.VERSION.SDK_INT >= 24) {
  //     intent.addFlags(Intent.FLAG_GRANT_READ_URI_PERMISSION);
  //     intent.setDataAndType(apkUri, "application/vnd.android.package-archive");
  //   } else {
  //     intent.setDataAndType(Uri.fromFile(file), "application/vnd.android.package-archive");
  //   }
  //   Log.i("DOWNLOAD", "installApk() startActivity(intent)");
  //   context.startActivity(intent);
  //   finish();
  // }
}